Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.ld.metadata
Enum WebServiceConstants.SOAPVersion

    java.lang.Object
      java.lang.Enum<WebServiceConstants.SOAPVersion>
          com.bea.ld.metadata.WebServiceConstants.SOAPVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebServiceConstants.SOAPVersion>

Enclosing interface:
  WebServiceConstants

    public static enum WebServiceConstants.SOAPVersion

extends java.lang.Enum<WebServiceConstants.SOAPVersion>

SOAP version for gererating WSDL from ws file

Enum Constant Summary
`SOAP_11`
`SOAP_12`

Method Summary
`static WebServiceConstants.SOAPVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebServiceConstants.SOAPVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOAP_11

    public static final WebServiceConstants.SOAPVersion SOAP_11

### SOAP_12

    public static final WebServiceConstants.SOAPVersion SOAP_12

Method Detail

### values

    public static WebServiceConstants.SOAPVersion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WebServiceConstants.SOAPVersion c : WebServiceConstants.SOAPVersion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WebServiceConstants.SOAPVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.